-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/garajalannounce/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Config"] = "Config"
Ld["Debug"] = "Debug"
Ld["DELAY"] = "DELAY"
Ld["Display minimap icon"] = "Display minimap icon"
Ld["for options"] = "for options"
Ld["General"] = "General"
Ld["Left Click"] = "Left Click"
Ld["Minimap Icon"] = "Minimap Icon"
Ld["Open the configuration GUI"] = "Open the configuration GUI"
Ld["Profiles"] = "Profiles"
Ld["Raid Icons"] = "Raid Icons"
Ld["Raid Warning"] = "Raid Warning"
Ld["Right Click"] = "Right Click"
Ld["Run to the totem!!!"] = "Run to the totem!!!"
Ld["Send a raid warning listing selected players"] = "Send a raid warning listing selected players"
Ld["Set raid icons on selected players"] = "Set raid icons on selected players"
Ld["Spirit Totem"] = "Spirit Totem"
Ld["Toggle debugging output"] = "Toggle debugging output"
Ld["to toggle status window"] = "to toggle status window"
Ld["WARNING: %d players do not have roles assigned and will be ignored."] = "WARNING: %d players do not have roles assigned and will be ignored."
Ld["WARNING: Not enough eligible dps!"] = "WARNING: Not enough eligible dps!"
Ld["WARNING: Not enough eligible healers!"] = "WARNING: Not enough eligible healers!"
Ld["Whisper"] = "Whisper"
Ld["Whisper selected players"] = "Whisper selected players"


if locale == "frFR" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "deDE" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "koKR" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "esMX" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "ruRU" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "zhCN" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "esES" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "zhTW" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "ptBR" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

elseif locale == "itIT" then do end
-- La["Config"] = ""
-- La["Debug"] = ""
-- La["DELAY"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["Left Click"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Profiles"] = ""
-- La["Raid Icons"] = ""
-- La["Raid Warning"] = ""
-- La["Right Click"] = ""
-- La["Run to the totem!!!"] = ""
-- La["Send a raid warning listing selected players"] = ""
-- La["Set raid icons on selected players"] = ""
-- La["Spirit Totem"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle status window"] = ""
-- La["WARNING: %d players do not have roles assigned and will be ignored."] = ""
-- La["WARNING: Not enough eligible dps!"] = ""
-- La["WARNING: Not enough eligible healers!"] = ""
-- La["Whisper"] = ""
-- La["Whisper selected players"] = ""

end
